Groovy Documentation

## org.codehaus.groovy.grails.test.report.junit
[Java] Class JUnitReports

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReports

All Implemented Interfaces:
  JUnitResultFormatter

    public class JUnitReports

Simply propagates to the underlying reports.

Field Summary
`protected JUnitResultFormatter[]` | `reports`

Constructor Summary
`JUnitReports(JUnitResultFormatter[] reports)`

Method Summary
`void` | `addError(Test test, java.lang.Throwable t)`
`void` | `addFailure(Test test, AssertionFailedError t)`
`void` | `endTest(Test test)`
`void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
`void` | `setOutput(java.io.OutputStream out)`
`void` | `setSystemError(java.lang.String err)`
`void` | `setSystemOutput(java.lang.String out)`
`void` | `startTest(Test test)`
`void` | `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### reports

    protected JUnitResultFormatter[] reports

Constructor Detail

### JUnitReports

    public JUnitReports(JUnitResultFormatter[] reports)

Method Detail

### addError

    public void addError(Test test, java.lang.Throwable t)

### addFailure

    public void addFailure(Test test, AssertionFailedError t)

### endTest

    public void endTest(Test test)

### endTestSuite

    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

### setOutput

    public void setOutput(java.io.OutputStream out)

### setSystemError

    public void setSystemError(java.lang.String err)

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

### startTest

    public void startTest(Test test)

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

Groovy Documentation